"""
# 安装
apt-get install -y libpcap-dev masscan

# --- test ssh ---
masscan -p22 192.168.131.0/24 --rate=1000

Discovered open port 22/tcp on 192.168.131.100                                 
Discovered open port 22/tcp on 192.168.131.102                                 
Discovered open port 22/tcp on 192.168.131.243                                 
Discovered open port 22/tcp on 192.168.131.138                                 
Discovered open port 22/tcp on 192.168.131.16                                  
Discovered open port 22/tcp on 192.168.131.136                                 
Discovered open port 22/tcp on 192.168.131.242                                 
Discovered open port 22/tcp on 192.168.131.61                                  
Discovered open port 22/tcp on 192.168.131.46                                  
Discovered open port 22/tcp on 192.168.131.42                                  
Discovered open port 22/tcp on 192.168.131.43                                  
Discovered open port 22/tcp on 192.168.131.133                                 
Discovered open port 22/tcp on 192.168.131.11                                  
Discovered open port 22/tcp on 192.168.131.101                                 
Discovered open port 22/tcp on 192.168.131.23                                  
Discovered open port 22/tcp on 192.168.131.21                                  
Discovered open port 22/tcp on 192.168.131.22                                  
Discovered open port 22/tcp on 192.168.131.103                                 
Discovered open port 22/tcp on 192.168.131.241                                 
Discovered open port 22/tcp on 192.168.131.13                                  
Discovered open port 22/tcp on 192.168.131.17                                  
Discovered open port 22/tcp on 192.168.131.253                                 
Discovered open port 22/tcp on 192.168.131.137                                 
Discovered open port 22/tcp on 192.168.131.130                                 
Discovered open port 22/tcp on 192.168.131.139                                 
Discovered open port 22/tcp on 192.168.131.132

# --- test 3网段 ---
masscan 192.168.3.0/24 --rate=1000 --ports 0-65535

# --- test sqlserver ---
nmap -p 1433 192.168.131.0/24

Starting Nmap 7.80 ( https://nmap.org ) at 2023-12-18 17:44 CST
Nmap scan report for 192.168.131.1
Host is up (0.00028s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.11
Host is up (0.00021s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.12
Host is up (0.00030s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.13
Host is up (0.00015s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.16
Host is up (0.00012s latency).

PORT     STATE    SERVICE
1433/tcp filtered ms-sql-s

Nmap scan report for 192.168.131.17
Host is up (0.00028s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.20
Host is up (0.00022s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.21
Host is up (0.00013s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.22
Host is up (0.00024s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.23
Host is up (0.000024s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.41
Host is up (0.018s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.42
Host is up (0.011s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.43
Host is up (0.031s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.45
Host is up (0.00090s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.46
Host is up (0.031s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.61
Host is up (0.00056s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.62
Host is up (0.00059s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.99
Host is up (0.00021s latency).

PORT     STATE    SERVICE
1433/tcp filtered ms-sql-s

Nmap scan report for 192.168.131.100
Host is up (0.000095s latency).

PORT     STATE    SERVICE
1433/tcp filtered ms-sql-s

Nmap scan report for 192.168.131.101
Host is up (0.00014s latency).

PORT     STATE    SERVICE
1433/tcp filtered ms-sql-s

Nmap scan report for 192.168.131.102
Host is up (0.00013s latency).

PORT     STATE    SERVICE
1433/tcp filtered ms-sql-s

Nmap scan report for 192.168.131.103
Host is up (0.00015s latency).

PORT     STATE    SERVICE
1433/tcp filtered ms-sql-s

Nmap scan report for 192.168.131.130
Host is up (0.0049s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.131
Host is up (0.012s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.132
Host is up (0.015s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.133
Host is up (0.011s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.136
Host is up (0.014s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.137
Host is up (0.0039s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.138
Host is up (0.010s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.139
Host is up (0.0043s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.241
Host is up (0.00036s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.242
Host is up (0.00038s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.243
Host is up (0.00048s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.252
Host is up (0.0023s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for 192.168.131.253
Host is up (0.00016s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap scan report for _gateway (192.168.131.254)
Host is up (0.0010s latency).

PORT     STATE  SERVICE
1433/tcp closed ms-sql-s

Nmap done: 256 IP addresses (36 hosts up) scanned in 63.19 seconds

"""