## USAGE

echo "操作：构建启动" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg01" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach --build \
&& sudo docker-compose --file compose.yml logs --follow

echo "操作：调试" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg01" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach --build \
&& sudo docker exec -it sri_module_agent_001 bash

echo "操作：强制构建并运行" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg01" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml build --no-cache \
&& sudo docker-compose --file compose.yml up --detach \
&& sudo docker-compose --file compose.yml logs --follow

echo "操作：重启" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg01" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach \
&& sudo docker-compose --file compose.yml logs --follow

# 日常调试命令
sudo chmod -R 777 /home/ubuntu/repositories/repositories
sudo chmod -R 777 /home/server/repositories/repositories
sudo docker restart sri-module-bg01 && sudo docker logs -f sri-module-bg01
